flameshot (13.3.0+git20251204-2) unstable; urgency=medium

  * QA upload.
  * debian/copyright: Update packaging copyright information.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/*: Create autopkgtest.

 -- Doglas Franco Maurer da Rocha <doglasrocha@alunos.utfpr.edu.br>  Tue, 12 May 2026 22:53:59 -0300

flameshot (13.3.0+git20251204-1) unstable; urgency=medium

  * QA upload.
  * New upstream snapshot 13.3.0+git20251204.
    + Likely solved the image clipboard issue. (Closes: #1121920)

 -- Boyuan Yang <byang@debian.org>  Fri, 05 Dec 2025 14:56:14 -0500

flameshot (13.3.0-2) unstable; urgency=medium

  * QA upload.
  * debian/control: Depends on qt6-svg-plugins instead of libqt6svg6
    in hope that the SVG support could be recovered in #1121703.

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Dec 2025 10:52:47 -0500

flameshot (13.3.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #1119145)
  * debian/patches/: Dropped, not needed.
  * debian/control: Update to use Qt6 build.
  * debian/rules: Update to use Qt6 build.

 -- Boyuan Yang <byang@debian.org>  Wed, 26 Nov 2025 21:57:57 -0500

flameshot (12.1.0+ds-4) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer.

 -- David da Silva Polverari <polverari@debian.org>  Wed, 29 Oct 2025 18:11:44 +0000

flameshot (12.1.0+ds-3) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.7.2.
      - Remove redundant 'Rules-Requires-Root: no'.
  * debian/rules: set CMAKE_POLICY_VERSION_MINIMUM to 3.5 to avoid build failure
    on CMake 4 after it removed backwards compatibility with earlier versions.
    (Closes: #1112915)
  * debian/watch: converted to version 5.

 -- David da Silva Polverari <polverari@debian.org>  Sat, 27 Sep 2025 05:01:22 +0000

flameshot (12.1.0+ds-2) unstable; urgency=medium

  * debian/control: removed libsingleapplication-dev from Build-Depends, as it
    was not used anyway -- the vendored version in the tarball is used instead.
    Moreover, repacking it to use the packaged version is not worthwhile at this
    moment, since upstream has switched to a non-free license (see #1050520),
    making future Debian releases unlikely.
  * debian/copyright: updated packaging copyright years.

 -- David da Silva Polverari <polverari@debian.org>  Tue, 18 Feb 2025 04:16:01 +0000

flameshot (12.1.0+ds-1) unstable; urgency=medium

  * New maintainer. (Closes: #1065588)
  * debian/control: bumped Standards-Version to 4.7.0.
  * debian/copyright:
      - Added Files paragraphs for previously not included patterns.
      - Added stand-alone License paragraphs for Commercial, BSD-3-Clause and
        BSD-2-Clause licenses.
      - Coalesced Files patterns with the same license under src/*.
      - Fixed upstream copyright attribution.
      - Replaced stand-alone License paragraph texts with standard text for
        licenses with dh_make templates available.
      - Simplified existing Files patterns.
      - Sorted existing Files paragraphs in alphabetical order.
      - Updated packaging copyright information.
      - Updated upstream copyright information.
  * debian/gbp.conf: created to comply with DEP-14 proposed repository layout.
  * debian/lintian-overrides: created to override lintian about spelling error
    in upstream license text.
  * debian/patches/:
      - Shortened all patch filenames.
      - 020_*.patch: tagged as Debian specific.
  * debian/rules:
      - Removed comments and unused export from dh_make default template.
      - Removed undeclared NULL variable used as recipe multi-line end marker.
  * debian/source/lintian-overrides: created to override false-positive lintians
    about long line in source file and not installing examples from the package.
  * debian/watch: added repacksuffix=+ds to options.

 -- David da Silva Polverari <polverari@debian.org>  Wed, 23 Oct 2024 02:12:13 +0000

flameshot (12.1.0-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1065588)

 -- Boyuan Yang <byang@debian.org>  Wed, 06 Mar 2024 22:13:13 -0500

flameshot (12.1.0-2) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.6.2.
  * debian/rules: Disable using absolute path for launcher and
    desktop file. (Closes: #1026888)

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Feb 2023 16:36:04 -0500

flameshot (12.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Jul 2022 15:27:48 -0400

flameshot (12.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Jun 2022 12:39:49 -0400

flameshot (12.0~rc1-2) unstable; urgency=medium

  * debian/patches: Add patch to undo broken svg optimization.

 -- Boyuan Yang <byang@debian.org>  Sat, 18 Jun 2022 10:28:31 -0400

flameshot (12.0~rc1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Sat, 18 Jun 2022 10:12:01 -0400

flameshot (11.0.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake.

  [ Boyuan Yang ]
  * debian/patches/0003-Updated-weblate-translation.patch:
    Use updated translation from Weblate.

 -- Boyuan Yang <byang@debian.org>  Fri, 14 Jan 2022 21:57:02 -0500

flameshot (11.0.0-1) unstable; urgency=medium

  * New upstream stable release.
    + Refactor config handler.
      (Closes: #1003239, Closes: #1003224) (LP: #1957010)
  * Package grim is now recommended for installation. (Closes: #985201)
  * Package xdg-desktop-portal-* is not recommended for installation.
    (Closes: #996983)

 -- Boyuan Yang <byang@debian.org>  Fri, 14 Jan 2022 21:27:30 -0500

flameshot (11.0~rc1+ds1-2) unstable; urgency=medium

  * debian/control: Recommend installation of package grim for
    screenshot support on Sway-based compositor. (upstream issue 2109)

 -- Boyuan Yang <byang@debian.org>  Fri, 31 Dec 2021 12:48:30 -0500

flameshot (11.0~rc1+ds1-1) unstable; urgency=medium

  * New upstream RC release.
  * debian/watch: Update monitoring patterns.
  * debian/control: Drop useless build-dependency libspdlog-dev.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Wed, 29 Dec 2021 13:27:50 -0500

flameshot (0.10.2+ds1-4) unstable; urgency=medium

  * Rebuild the package.
  * debian/control: Tighten build dependency to libspdlog-dev (>= 1:1.9~)
    to assist libfmt8 transition. (Closes: #1002129)

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Dec 2021 13:19:19 -0500

flameshot (0.10.2+ds1-3) unstable; urgency=medium

  * debian/patches: Add patch to always use native wayland backend on KDE
    plasma.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Nov 2021 13:18:30 -0500

flameshot (0.10.2+ds1-2) unstable; urgency=medium

  * debian/control: Recommend xdg-desktop-portal-* installation.
    (LP: #1952555)
  * debian/patches/0003-Bump-version-to-10.2.patch: Force version string
    to be 0.10.2.

 -- Boyuan Yang <byang@debian.org>  Sun, 28 Nov 2021 13:29:56 -0500

flameshot (0.10.2+ds1-1) unstable; urgency=medium

  * New upstream stable release.
  * debian/control: Suggest installation of xdg-desktop-portal packages
    for different desktop environment.
  * debian/control: Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Nov 2021 15:57:58 -0500

flameshot (0.10.1+ds1-1) unstable; urgency=medium

  * New upstream stable release.
  * debian/patches: Refresh patches.
  * debian/control: Require spdlog 1.8.5+.

 -- Boyuan Yang <byang@debian.org>  Wed, 18 Aug 2021 15:44:59 -0400

flameshot (0.9.0+ds1-2) unstable; urgency=high

  * debian/patches/0003-Disable-automatic-update-checking-by-default.patch:
    Disable new version checking by default on new installation.
    Users may re-enable this feature at any time in the config menu.
    (Closes: #991392)
  * debian/patches/0004-Fix-nullptr-reference-when-trayicon-is-disabled.patch:
    Fix a crash when flameshot is set to disable tray icon and also
    enable new version checking. (Closes: #991320)
  * debian/patches/9af391b2e94b2ba21cb6af32535ed38240f695c0.patch:
    Add upstream workaround for Xfce's incorrect icon handling.
    (Closes: #991216)

 -- Boyuan Yang <byang@debian.org>  Thu, 22 Jul 2021 18:10:19 -0400

flameshot (0.9.0+ds1-1) unstable; urgency=medium

  * New upstream stable release.
  * debian/patches/0001: No longer hardcode version string.
  * debian/patches: Drop backport patches.
  * debian/copyright: Update copyright information.
  * debian/rules: Use system spdlog by default.

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Feb 2021 17:58:44 -0500

flameshot (0.8.5-4) unstable; urgency=medium

  * Final build for Debian 11.
  * debian/patches/0004-KDE-Wayland-compat: Add proposed patch to
    improve compatibility with KDE using wayland.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Feb 2021 17:42:21 -0500

flameshot (0.8.5-3) unstable; urgency=medium

  * Final build for Debian 11.
  * debian/control: Update homepage information (flameshot.org).
  * debian/flameshot.1: Minor update to man page.

 -- Boyuan Yang <byang@debian.org>  Sat, 20 Feb 2021 22:07:54 -0500

flameshot (0.8.5-2) unstable; urgency=medium

  * Rebuild before Debian 11 release.
  * Bump Standards-Version to 4.5.1.
  * debian/patches:
    + Backport upstream fix for multi-monitor setup.
    + Backport proposed fix to fix command line help string.
      (Closes: #972720)

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Feb 2021 10:29:22 -0500

flameshot (0.8.5-1) unstable; urgency=medium

  * New upstream stable release.

 -- Boyuan Yang <byang@debian.org>  Sat, 17 Oct 2020 22:37:39 -0400

flameshot (0.8.3-2) unstable; urgency=medium

  * Backport upstream fix on App theme.

 -- Boyuan Yang <byang@debian.org>  Wed, 30 Sep 2020 12:46:06 -0400

flameshot (0.8.3-1) unstable; urgency=medium

  * New upstream stable release.

 -- Boyuan Yang <byang@debian.org>  Mon, 28 Sep 2020 10:59:49 -0400

flameshot (0.8.1-1) unstable; urgency=medium

  * New upstream stable release.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Sep 2020 21:43:54 -0400

flameshot (0.8.0-2) unstable; urgency=medium

  * Backport upstream patches till 2020-09-21.
    + Fix visibility issue of circle counter tool with dark background.
    + Fix AppStream validation errors.
  * debian/copyright: Drop my name from copyright holder list.

 -- Boyuan Yang <byang@debian.org>  Mon, 21 Sep 2020 16:03:09 -0400

flameshot (0.8.0-1) unstable; urgency=medium

  * New upstream stable release.
  * debian/control: Add dependency on hicolor-icon-theme for proper
    theme support.

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Sep 2020 16:51:39 -0400

flameshot (0.8.0~git20200913-1) unstable; urgency=medium

  * New upstream beta release.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Sep 2020 19:46:54 -0400

flameshot (0.8.0~git20200907-1) unstable; urgency=medium

  * New upstream git snapshot.
    + Fix D-Bus invocation and "flameshot *" invocation problem.
  * debian/patches: Drop patches not merged in mainline for now.

 -- Boyuan Yang <byang@debian.org>  Mon, 07 Sep 2020 18:38:11 -0400

flameshot (0.8.0~git20200904-1) unstable; urgency=medium

  * New upstream git snapshot.
  * debian/control:
    + Switch to new upstream location.
    + Refresh build dependencies.
  * debian/patches: Refresh patches.
  * debian/copyright: Refreshed.

 -- Boyuan Yang <byang@debian.org>  Fri, 04 Sep 2020 20:52:18 -0400

flameshot (0.6.0+git20191001-2) unstable; urgency=medium

  * debian/patches/pr: Cherry-pick upstream PR #678.
  * debian/control: Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 04 Mar 2020 13:29:02 -0500

flameshot (0.6.0+git20191001-1) unstable; urgency=medium

  * New upstream snapshot (20191001).
  * debian/control: Bump Standards-Version to 4.4.1.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Oct 2019 14:21:55 -0400

flameshot (0.6.0+git20190714-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream snapshot (20190714).
  * debian/control: Bump Standards-Version to 4.4.0.

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Jul 2019 12:31:44 -0400

flameshot (0.6.0+git20190514-1~exp1) experimental; urgency=medium

  * New upstream snapshot (20190514).
  * debian/patches: Drop all backported patches.

 -- Boyuan Yang <byang@debian.org>  Tue, 14 May 2019 14:51:12 -0400

flameshot (0.6.0-11) unstable; urgency=medium

  * debian/patches: Drop some premature patches (for Russian
    translation).
  * debian/control: Explicitly depends on libqt5svg5 module. It
    seems that such dependency was not automatically derived
    by the buildsystem.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Feb 2019 11:00:57 -0500

flameshot (0.6.0-10) unstable; urgency=medium

  * debian/patches: Backport upstream patch till 2019-02-22.

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Feb 2019 13:15:15 -0500

flameshot (0.6.0-9) unstable; urgency=medium

  * debian/patches: Backport upstream patch till 2019-01-30.
  * debian/control:
    + Build-depend on debhelper-compat (= 12).
    + R³: Use Rules-Requires-Root: no.
  * debian/copyright: Update CC0-1.0 license for the metadata file.

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Feb 2019 10:37:44 -0500

flameshot (0.6.0-8) unstable; urgency=medium

  * debian/patches: Backport upstream patch till 2018-12-29.
  * debian/control:
    + Build-depend on debhelper-compat (= 11) instead of using
      debian/compat file.
    + Bump Standards-Version to 4.3.0 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Sat, 29 Dec 2018 22:42:07 +0800

flameshot (0.6.0-7) unstable; urgency=medium

  * debian/flameshot.1: Fix typo in man page. (Closes: #911872)
  * debian/patches: Backport upstream patch till 2018-11-05.

 -- Boyuan Yang <byang@debian.org>  Thu, 08 Nov 2018 19:59:31 -0500

flameshot (0.6.0-6) unstable; urgency=medium

  * Rebuild against Qt 5.11.2.
  * debian/patches: Backport upstream patch till 2018-10-23.

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Oct 2018 12:58:12 -0400

flameshot (0.6.0-5) unstable; urgency=medium

  * debian/patches: Backport upstream patch till 2018-10-05.
  * debian/flameshot.1: Refresh man page.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Oct 2018 10:26:01 -0400

flameshot (0.6.0-4) unstable; urgency=medium

  * debian/patches: Backport upstream patch to fix pin tool position.

 -- Boyuan Yang <byang@debian.org>  Thu, 27 Sep 2018 18:57:05 -0400

flameshot (0.6.0-3) unstable; urgency=medium

  * Rebuild against new Qt 5.11.
  * debian/control: Update my maintainer email address and use the
    @debian.org one.
  * debian/patches: Backport upstream bugfix till 20180913.

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Sep 2018 21:11:02 -0400

flameshot (0.6.0-2) unstable; urgency=medium

  * Backport upstream fixes till 2018-08-20.
  * Bump Standards-Version to 4.2.1 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Sun, 26 Aug 2018 21:53:23 -0400

flameshot (0.6.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 17 Aug 2018 08:31:10 -0400

flameshot (0.5.1+git201800812-1) unstable; urgency=medium

  * New upstream snapshot.
    + Fix several AppStream appdata errors and warnings.
    + Fix locale detection.
    + Properly install icons.
  * debian/patches: Drop backported patches.
  * debian/copyright: Refresh copyright information.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 12 Aug 2018 07:43:59 -0400

flameshot (0.5.1+git201800811-1) unstable; urgency=medium

  * New upstream snapshot.
    + Use SVG images globally.
    + More fixes to HiDPI support.
  * debian/control: Bump Standards-Version to 4.2.0 (no changes needed).
  * debian/patches:
    + Refresh patches and drop backported patches.
    + Backport a proposed fix for locale detection.
    + Add a patch to canonicalize icon installation path.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 11 Aug 2018 21:32:48 -0400

flameshot (0.5.1+git20180708-2) unstable; urgency=medium

  * Rebuild against gcc 8.
  * New upstream snapshot based on 20180722 upstream codebase.
    + Fixes image grabbing on fractional-scaled desktop environments.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 22 Jul 2018 21:53:04 +0800

flameshot (0.5.1+git20180708-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump Standards-Version to 4.1.5 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Sun, 08 Jul 2018 08:21:39 +0800

flameshot (0.5.1+git20180601-1) unstable; urgency=medium

  * New upstream snapshot.
    - Add text configuration function.
    - Update translations.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 02 Jun 2018 21:39:03 +0800

flameshot (0.5.1+git20180506-1) unstable; urgency=medium

  * New upstream snapshot.
    - Add initial support to text tool.
    - Improve image pinning tool.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 06 May 2018 20:25:43 +0800

flameshot (0.5.1+git20180419-1) unstable; urgency=medium

  * New upstream snapshot.
    - Add initial support for image pinning tool.
    - Add ability to take screenshot from tray menu.
  * d/rules: Use "dh_missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Fri, 20 Apr 2018 22:57:22 +0800

flameshot (0.5.1+git20180411-1) unstable; urgency=medium

  * New upstream snapshot.
  * Remove patches merged upstream.
  * Bump Standards-Version to 4.1.4 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Wed, 11 Apr 2018 19:43:04 +0800

flameshot (0.5.1+git20180318-1) unstable; urgency=medium

  * New upstream snapshot.
  * Remove patches merged upstream.
  * Add patch to workaround upstream issue 166.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 20 Mar 2018 09:01:36 +0800

flameshot (0.5.1-3) unstable; urgency=medium

  * Backport upstream patch to allow tray icon customization.
  * Backport upstream patch to use single desktop file.
    Closes: #887466.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 05 Mar 2018 22:59:54 +0800

flameshot (0.5.1-2) unstable; urgency=medium

  * Backport upstream patch to fix cmdline parsing.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 28 Feb 2018 22:03:16 +0800

flameshot (0.5.1-1) unstable; urgency=medium

  * New upstream stable release.
  * d/patches: Add patch to specify application version.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 24 Feb 2018 19:49:15 +0800

flameshot (0.5.0+git20180222-1) unstable; urgency=medium

  * New upstream snapshot.
  * d/watch: Fix grammar error.
  * d/control: Fix Vcs links.
  * d/rules: Fix lintian error for debian-rules-is-dh_make-template.
  * d/patches: Refresh patches.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 24 Feb 2018 09:45:05 +0800

flameshot (0.5.0+git20180114-1) unstable; urgency=medium

  * Initial release. (Closes: #886409)

 -- Boyuan Yang <073plan@gmail.com>  Mon, 15 Jan 2018 19:50:38 +0800
